v1.2.4 | 2026-08-18
────────────────────────────────────────────────────────────────────────
* NEW "PIMP MY RIDE" PAINT SHOP — MIX YOUR OWN COLORS FOR EACH FUEL TYPE'S VEHICLES INSTEAD OF THE ONES THE MOD PICKS.

  - The button sits next to the "Colored vehicles" checkbox on every fuel tab in the vehicle depots.

  - Choose the fuel type, then mix the paint with the red, green, blue and saturation sliders. A 3D truck beside them shows the result as soon as you let go of a slider.

  - Pick which vehicle shows in the 3D preview — Mega Excavator, T3 Dump Truck, T2 Truck or Amphibious Truck.

  - Drag the truck with the left mouse button to turn it, and scroll to zoom in and out.

  - Windows and headlights keep their original color.

  - Hydrogen and battery vehicles get a second color of their own for the tanks, so the body and the tanks can be painted separately.

  - "Save color" starts using your paint for that fuel type — vehicles on the map and their icons in the build menus repaint themselves.

  - "Reset to default color" puts that fuel type back to the color the mod ships with.

  - Your colors are kept per save file, so different saves can run different looking fleets.

────────────────────────────────────────────────────────────────────────
* FIXED PERIODIC STUTTERING ON SAVES WITH LOTS OF COLORED VEHICLES.

  - Vehicles were all re-checking their paint in the same instant, which added up to a noticeable freeze every few seconds on saves with hundreds or thousands of vehicles.

  - Once a vehicle's paint is confirmed correct 3 times in a row, it stops re-checking and stays that way until you reload the save or change a color — about an 80-90% cut in recoloring work on large fleets.

────────────────────────────────────────────────────────────────────────
* FIXED LITHIUM, REFINED LITHIUM, GMO SEED AND SUPERCHARGED BIOMASS SHOWING VANILLA TEXTURES ON CONVEYOR BELTS SINCE THE LATEST GAME UPDATE.

────────────────────────────────────────────────────────────────────────

v1.2.3 | 2026-08-15
* Every fuel type now has its own paint so you can tell your fleets apart at a glance:
   Diesel is red, Synthetic diesel is green, Hydrogen is white, and Battery is orange with white tanks.
   All vehicle icons in the build menus and windows match the new colors.

* Every fuel tab in the vehicle depots has a "Colored vehicles" checkbox, so you can turn the paint on or off per fuel type if you prefer the normal look. Your choice is saved per save file and vehicles repaint on the spot.

* Added synthetic diesel versions of all remaining vehicles:
   Small excavator S, Excavator S, Mega excavator S, Amphibious excavator S, Amphibious truck S, Tree harvester S, Large tree harvester S and Heavy Tanker S.

* Added battery versions of all remaining vehicles:
   Small excavator B, Excavator B, Mega excavator B, Amphibious excavator B, Amphibious truck B, Tree harvester B and Large tree harvester B.

* The "Synth Trucks" research is now called "Synth Vehicles" and unlocks all the new synthetic diesel vehicles. The Battery Vehicles research unlocks the new battery ones.

v1.2.2 | 2026-08-14
* Lots of changes made to the translations.

  - Many dead strings that are no longer in use have been removed.

  - Missing strings for newer parts of the mod have been added.

  - Text that was falling back to English now has its missing translations.

  - Wrong translations, wording and grammar have been updated.

  - If anything still reads wrong, update the translation yourself and send it to me in a DM or on the hub, and I will get it into the mod.

v1.2.1 | 2026-08-12
* Now supports game version 0.8.7a.

* Realistic water electrolysis now makes half as much per batch and uses 4.2x power on both Electrolyzer tiers. (thanks antonio220 for the balance suggestion)

* The Crude oil, Diesel and Naphtha recipes made from Liquified coal now sit in the Liquifier instead of the Chemical plant. 
   Also moved Synthetic diesel to the Liquifier. Keeping base game buildings free of mod recipes and makes more sense to live there.

  - They also make less per batch, so they stay a nice extra for spare coal rather than a stronger replacement or as a second extra recipe for the base game's oil chain.

* The Liquid coal generator now puts out 5 MW instead of 3 MW while burning 16 Liquified coal a minute instead of 24, making it worth building as a peak power buffer.

* Synthetic diesel now needs only 2 sulfur per batch instead of 6. (thanks antonio220 for the suggestion)

  - The Synt generator now burns 25 synthetic diesel a minute instead of 30 for the same 3.8 MW output, so every unit of fuel goes further.

* The Battery plant now charges 6 cells a minute instead of 4 every 90 seconds, and uses 6x power instead of 8x, so charged cells cost about a third of the power they used to and one plant keeps up with a lot more vehicles.

  - Charging cells no longer needs any computing at all, and assembling them now needs 8 TFlops instead of 15. Building the cells is the part that needs computers, not pushing current into them. (thanks antonio220 for the suggestion)

* The charging station now hands back 60% of the batteries it uses instead of 70%, so you still need to build new cells over time rather than recharging the same ones forever.

v1.2.0 | 2026-07-29
* Now supports game version 0.8.7.
* Reworked where the synthetic diesel vehicles unlock in the research tree so they line up better with the base game's vehicle progression. The synthetic trucks now unlock with the Mega Vehicles research (both standard and hydrogen) instead of being available too early. The synthetic Heavy Hauler now unlocks with the regular Heavy Hauler research, and the synthetic Terex and Huge Excavator now unlock with their diesel and hydrogen versions.
* The battery-electric vehicles and the synthetic Terex and Huge Excavator now require Microchip technology (found on the world map) before they can be built.
* The synthetic and battery Heavy Hauler now have a bigger fuel tank and use 25% less fuel, so they run longer between refuels. (thanks rgreat for the balance suggestion)
* Thanks to Serjevski for pointing out the synthetic vehicle unlock issue that led to all these balance improvements.
* Two settlements now offer Raw Lithium contracts, one for Crude Oil and one for Diesel, so Lithium is obtainable without world-map deposits. (thanks sbenza for the great suggestion)
* Three more settlement contracts: 18650 Battery (Empty) for Hydrogen, Synthetic diesel for Sulfur, and Liquified coal for Fuel Gas.
* Language fixes for the synthetic and battery vehicles — the Russian Terex S and Terex B were still named in English,
  several Italian names were missing their S and looked identical to the regular vehicle, and some names and descriptions used a different name than the vehicle they belong to. Fixed in German, Spanish, Italian, Portuguese, Russian and Ukrainian.
* Added support for 13 more languages — Catalan, Czech, Dutch, Estonian, French, Hungarian, Japanese, Korean, Norwegian, Polish, Swedish, Traditional Chinese and Turkish. Recipes++ now supports every language the base game does.
* Fixed battery-electric and synthetic diesel vehicles failing to build due to a load order issue with Fusion Horizon. (thanks wolf for the report)

v1.1.9 | 2026-07-29
* Now supports game version 0.8.6b.

v1.1.8 | 2026-07-20
* Saved settings now live in a shared "Mori++ Saved settings" folder outside the mod folder, so a manual delete or a mod manager wiping the folder no longer loses them. Because of this move, all your current settings reset to default one time — set everything up again and from then on they're kept safe in that folder.

v1.1.7 | 2026-07-19
* Fixed the Bio Processor no longer sending GMO Seeds out to connected belts after the last update. (thanks Denis for the report)

v1.1.6 | 2026-07-15
* Now supports game version 0.8.6 (experimental), and remains compatible back to 0.8.4.
* In the vehicle factory, the fuel tab for battery trucks now reads "Battery" instead of the full "18650 Battery (Charged)" item name, matching the other fuel tabs. (thanks Hoochie for the report)
* The battery-electric Heavy Hauler, Terex, Heavy Tanker and Huge Excavator now show their names and descriptions in your game language instead of English. (thanks VMY for the report)
* Further tuned GMO and Pesticide — greenhouses now use just 1 every 10 days, and the Bio Processor makes 40% more per batch. (thanks Denis for follow-up)

v1.1.5 | 2026-07-01
* Added battery-electric Heavy Hauler, The Terex, Heavy Tanker and Huge Excavator that run on charged 18650 cells with zero pollution. (unlocked by Battery Vehicles research)
* Synthetic diesel and battery trucks now show in their normal vehicle groups in the storage truck filter, instead of separate fuel groups. (thanks Vladovlak for the report)
* Rebalanced GMO and Pesticide production to be more practical at large population — GMO now makes more per batch on a faster cycle. (thanks Denis for the balance feedback)
* All translations have been updated, thanks to Hoochie for the updated Russian translation.
* Synthetic and battery Terex got larger fuel tanks, so they run noticeably longer before needing a refuel. (thanks tom89194 for the suggestion)
* The Shredder can now break Iron, Copper, Aluminum, Gold and Glass back down into their scrap forms for re-smelting. (thanks Elder-Invisions for the suggestion)

v1.1.4 | 2026-06-22
* Rebalanced Maple Syrup — cheaper to make (less wood, and half the water & sap) and your population eats it ~45% slower. (thanks krzzovec for the balance feedback)

v1.1.3 | 2026-06-13
* The Lithium Evaporation pond now has its own icon (previously a placeholder).
* Corrected the Liquifier's description to match its actual recipe — it no longer lists a sulfur byproduct or incorrect inputs. (thanks SilverDad for the report)

v1.1.2 | 2026-06-10
* New battery production chain — the Battery Plant assembles and charges 18650 lithium cells into clean fuel for battery trucks, unlocked via the new Battery Technology research.
  IMPORTANT: LITHIUM ONLY EXISTS ON NEW MAPS — YOU MUST START A NEW GAME WITH THE LATEST WORLDGEN++ INSTALLED SO A LITHIUM MINING RIG SPAWNS ON THE WORLD MAP. WITHOUT IT YOU HAVE NO LITHIUM SOURCE FOR BATTERIES.
* New recipe "Water electrolysis (realistic)" for both Electrolyzer tiers — 1 water splits into 4 hydrogen and 2 oxygen, the chemically correct 2:1 ratio (vanilla gives you more oxygen than hydrogen). Costs a bit more power than the standard recipe. (thanks spiro9 for the suggestion)

v1.1.1 | 2026-06-08
* Fixed GMO and Pesticide resetting to off state and losing storage after saving and rebooting the game. (thanks Lotos666 for the report)
* Fixed Maple Syrup not being consumed (no stats, never eaten) in settlements after saving and reloading — existing colonies now correctly recognize it as a food. (thanks Maple Fry and Denis for the report and save)
* Rebalanced Pesticide Production — now 12 Sulfur + 12 Crude Oil + 12 Chlorine produces 20 Pesticide + 6 Toxic Slurry (more output, better ratio), and greenhouses consume 30% less pesticide. Far fewer Bio Processors needed to supply your greenhouses. (thanks Lotos666 for the balance feedback)

v1.1.0 | 2026-05-31
* New Lithium Evaporation pond — processes raw lithium and brine into refined lithium, leaving toxic slurry as a byproduct.
* New food — Canadian Gold (Maple Syrup): tap sap from wood in the Bio Processor, then boil it with water in the Fermentation tank into Maple Syrup — a sweet luxury treat that keeps your population happy.
* Added missing translations for multiple languages (thanks kukularra for reporting the missing strings).
* Added more missing translations across all languages.
* Fixed the Liquifier building name and the Liquified coal product name showing in English for all non-English languages — both now translate correctly. (thanks Ulisse Wolf for the report)
* Updated Ukrainian translation — huge thanks to SirColibris for the proofreading and corrections.
* Updated Italian translation — huge thanks to Ulisse Wolf for the corrections.
* Added a fun Canadian flavor to the English Maple Syrup descriptions — huge thanks to Fry.

v1.0.9 | 2026-05-22
* Italian translation — fixed missing translations for Synthetic Diesel Generator, Liquid Coal Generator, and Synthetic Diesel Fuel Station descriptions
* Added Simplified Chinese translation. The mod now supports 8 languages.
* Updated Ukrainian translation with proofreader refinements.
* If there is anything you don't feel is right in Ukrainian language and wan't something changed/added contact SirColibris on Discord in COI server.

v1.0.8 | 2026-05-22
* Reworked many recipes — all recipes and generators now use whole numbers, so production rates and building ratios come out clean. Several recipes have also been rebalanced. (thanks cowcannon for the feedback)
* Liquified Coal can now be used in the Chemical Plant II to synthesize Crude Oil, Diesel or Naphtha — three new recipes that turn coal into liquid fuels. (thanks Ulisse Wolf for the idea)
* LIQUIFIED COAL RECIPE IS CHANGED — players using the old recipe will need to rework their input/output setups for the building.
* Added Spanish, Portuguese, Ukrainian and Italian translations. The mod now supports 7 languages in total: English, German, Russian, Spanish, Portuguese, Ukrainian and Italian.
* Updated the mod thumbnail.
* Fixed research nodes of Trucks/excavator popup running off-screen — icons now wrap to multiple rows. (thanks petter566 for the report)


v1.0.7 | 2026-05-15
* Synthetic Diesel can now be flared. Thanks xcell for the report.


v1.0.6 | 2026-05-14
* Fixed The Terex S (synthetic diesel) missing maintenance — now consumes T2 maintenance.
* Fixed Heavy Hauler S (synthetic diesel) missing maintenance — now consumes T1 maintenance.
* Description of all buildings has been updated to explain better what the building does and how to use it.


v1.0.5 | 2026-05-13
* Fixed settings panel showing an error on fresh installs — mod config window now opens correctly.
* The Terex S synthetic diesel fuel capacity raised from 36 to 40 to match The Terex (diesel) update for for a little buff. Thanks Nick2E and neoss for the report.

v1.0.4 | 2026-05-11
* The Terex S — wheel diameter reduced to match the diesel and hydrogen variants. Visual fixes (front wheel alignment, ground clipping) live in Gameplay++ v1.1.1+.

v1.0.3 | 2026-05-10
* Updated manifest for latest version.

v1.0.2 | 2026-05-08
* Synthetic Diesel — Chemical Plant II recipe is now faster than Chemical Plant I.

v1.0.1 | 2026-05-06
* The Terex S — fuel tank capacity increased to match vanilla T3 haul truck since it ran out way to fast.

v1.0.0 | 2026-05-03
* Synthetic Diesel fuel (65% less pollution, burns faster)
* Synthetic Diesel refuel station
* Synthetic Diesel Generator (3.8 MW, 65% less pollution than Diesel Gen II)
* Synthetic vehicle variants — Truck S, Haul Truck S (dump & tank), Heavy Hauler S, Terex S, Huge Excavator S
* Synthetic Diesel as ship fuel option
* Liquefied Coal recipe
* Liquid Coal Generator (3 MW, higher pollution)
* Supercharged Biomass recipe (burns longer than regular biomass)
* Supercharged Biomass building
* Supercharged Biomass as alt recipe for Fertilizer 1 in Mixer T2
* Greenhouse GMO button (yield boost with new intake)
* Greenhouse Pesticide button (speed boost with new intake)
* Bio Processor building with GMO and Pesticide recipes
* Liquifier building (convert solids to liquid/gas)
